Skip to content

Attach / Detach / Live Reserve IP to a Node and Load Balancer

POST
/api/v1/reserve_ips/{ip_address}/actions/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/{ip_address}/actions/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"vm_id": 259555,
"type": "live-reserve"
}'
ip_address
required
string

IP address

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
vm_id
required
integer

Example

259555
type
required
string
Allowed values: attach detach live-reserve

Example

live-reserve

IP assigned/detached or live-reserved successfully

Media typeapplication/json
object
code
integer
data
One of:
object
IP
string
status
string
Allowed values: Attached Available
vm_name
string
vm_id
integer
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"data": {
"IP": "164.52.198.52",
"status": "Attached",
"vm_name": "C3-8GB-560",
"vm_id": 213855
},
"errors": {},
"message": "Success"
}